Debian Bug report logs - #388654
gwhois: purging the package fails (update-inetd unavailable)

version graph

Package: gwhois; Maintainer for gwhois is Michael Holzt <debian@kju.de>; Source for gwhois is src:gwhois.

Reported by: Bill Allombert <ballombe@debian.org>

Date: Thu, 21 Sep 2006 20:03:20 UTC

Severity: serious

Tags: patch

Found in version gwhois/20060419

Fixed in version gwhois/20060928

Done: Michael Holzt <debian-gwhois@michael.holzt.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Holzt <michael-debian@holzt.de>:
Bug#388654; Package gwhois. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Holzt <michael-debian@holzt.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: gwhois: purging the package fails (update-inetd unavailable)
Date: Thu, 21 Sep 2006 21:05:52 +0200
Package: gwhois
Version: 20060419
Severity: serious

Hello Michael,

There is an error when attempting to purge gwhois:

  Removing gwhois ...
  Purging configuration files for gwhois ...
  /var/lib/dpkg/info/gwhois.postrm: line 7: update-inetd: command not found
  dpkg: error processing gwhois (--purge):
   subprocess post-removal script returned error exit status 127

update-inetd is not part of an essential package.

See Policy 7.2:
  Note, however, that the `postrm' cannot rely on any non-essential packages to
  be present during the `purge' phase.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Holzt <michael-debian@holzt.de>:
Bug#388654; Package gwhois. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to Michael Holzt <michael-debian@holzt.de>. Full text and rfc822 format available.

Message #10 received at 388654@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: 388654@bugs.debian.org
Cc: BTS Control <control@bugs.debian.org>
Subject: Patch for RC bug
Date: Thu, 28 Sep 2006 14:23:48 +0200
[Message part 1 (text/plain, inline)]
tag 388654 patch
usertag 388654 supplied-patch
thanks

Hi,

I have prepared a little NMU to fix the failure during purging. The
patch is attaches. As I am no DD yet I can not do an actual upload, so
if an interested DD comes along; go ahead and do a upload.

Greetings Arjan

gwhois (20060419.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove inetd entry during removal instead of purge. (Closes: #388654)
  * Move build dependency on debhelper to Build-Depends.

[gwhois.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Holzt <michael-debian@holzt.de>:
Bug#388654; Package gwhois. Full text and rfc822 format available.

Acknowledgement sent to Michael Holzt <debian-bugs@michael.holzt.de>:
Extra info received and forwarded to list. Copy sent to Michael Holzt <michael-debian@holzt.de>. Full text and rfc822 format available.

Message #17 received at 388654@bugs.debian.org (full text, mbox):

From: Michael Holzt <debian-bugs@michael.holzt.de>
To: Arjan Oosting <arjanoosting@home.nl>, 388654@bugs.debian.org
Subject: Re: Bug#388654: Patch for RC bug
Date: Thu, 28 Sep 2006 18:53:13 +0200
> I have prepared a little NMU to fix the failure during purging. The
> patch is attaches. As I am no DD yet I can not do an actual upload, so
> if an interested DD comes along; go ahead and do a upload.

Oh, please. 

I really appreciate your help, but i think you are too impatient here.
The bug was only reported one week ago. While the bug is a serious 
policy violation, it did not required immediate fixing. Fixing within
a week is reasonably fast enough in my opinion. Already planning for
a NMU after such a short time frame is not overly polite, imho.

In fact I already had began the work on a new version the day before
the bug was reported but was then busy for a few days. I continued the
work yesterday but was not sure about the correct way to fix the bug,
so i discussed the problem with Andreas Barth (maintainer of the 
debian developer's reference) first.

I have also shown your patch to Andreas but he was not sure if this
would be fix enough, so i fixed the bug instead by moving the update-
inetd invocation from postrm to prerm.

However, thank you for pointing out the "build-depends-indep" issue.
gwhois 20060928 has just been uploaded and fixed all current bugs.


Regards
Michael

-- 
      It's an insane world, but i'm proud to be a part of it. -- Bill Hicks



Reply sent to Michael Holzt <debian-gwhois@michael.holzt.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 388654-close@bugs.debian.org (full text, mbox):

From: Michael Holzt <debian-gwhois@michael.holzt.de>
To: 388654-close@bugs.debian.org
Subject: Bug#388654: fixed in gwhois 20060928
Date: Thu, 28 Sep 2006 09:47:15 -0700
Source: gwhois
Source-Version: 20060928

We believe that the bug you reported is fixed in the latest version of
gwhois, which is due to be installed in the Debian FTP archive:

gwhois_20060928.dsc
  to pool/main/g/gwhois/gwhois_20060928.dsc
gwhois_20060928.tar.gz
  to pool/main/g/gwhois/gwhois_20060928.tar.gz
gwhois_20060928_all.deb
  to pool/main/g/gwhois/gwhois_20060928_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388654@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Holzt <debian-gwhois@michael.holzt.de> (supplier of updated gwhois package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 28 Sep 2006 17:46:41 +0200
Source: gwhois
Binary: gwhois
Architecture: source all
Version: 20060928
Distribution: unstable
Urgency: low
Maintainer: Michael Holzt <debian-gwhois@michael.holzt.de>
Changed-By: Michael Holzt <debian-gwhois@michael.holzt.de>
Description: 
 gwhois     - generic Whois Client / Server
Closes: 388654 388901
Changes: 
 gwhois (20060928) unstable; urgency=low
 .
   * Removed debconf notice (considered debconf abuse) about ERX-list
     removal, was described in README.upgrade anyway (closes: Bug#388901)
   * Changed README.upgrade into NEWS.Debian
   * 196/8 now complete Afrinoc (tnx MarcL)
   * 77/8, 78/8, 79/8 RIPE (new)
   * 201/8, 189/8, 190/8 LACNIC (not new, shame on me)
   * Fixed 122/6 -> 122/7, 124/7
   * Moved call to update-inetd from postrm to prerm, modified script
     to only call update-inetd when inetd-installation was selected
     through debconf (closes: Bug#388654)
   * Changed dependency on "netbase" to "update-inetd | netbase"
   * Changed build-depends-indep to build-depends, thanks to Arjan Oosting
     for pointing this out
   * Fixed debconf translation handling
Files: 
 0d47c2824073c7ec0171ee5581914208 519 net optional gwhois_20060928.dsc
 f896e45ab6c92f5b278d2ea0926f47f9 30362 net optional gwhois_20060928.tar.gz
 530a5609b8bbd0944a32a77fd9f056ed 29880 net optional gwhois_20060928_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFG/nzUJiA4/ahDC0RAhJNAKCLwQ5X/gY3vJgJrThvQ5N/aGW3hACfQ37d
FCFUpHmNqNOltmTlNMrJAW8=
=VGRc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 22:23:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:59:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.